diff -ruN a/channels/chan_sip.c b/channels/chan_sip.c
--- a/channels/chan_sip.c	2013-10-23 13:10:19.000000000 +0200
+++ b/channels/chan_sip.c	2014-01-14 08:58:59.463989275 +0100
@@ -22188,14 +22188,15 @@
 		append_history(transferer->tech_pvt, "SIPpark", "Parked call on %d", ext);
 		transmit_notify_with_sipfrag(transferer->tech_pvt, d->seqno, "200 OK", TRUE);
 		transferer->hangupcause = AST_CAUSE_NORMAL_CLEARING;
-		ast_hangup(transferer); /* This will cause a BYE */
 		ast_debug(1, "SIP Call parked on extension '%d'\n", ext);
 	} else {
 		transmit_notify_with_sipfrag(transferer->tech_pvt, d->seqno, "503 Service Unavailable", TRUE);
 		append_history(transferer->tech_pvt, "SIPpark", "Parking failed\n");
-		ast_debug(1, "SIP Call parked failed \n");
-		/* Do not hangup call */
+		ast_log(AST_LOG_NOTICE, "SIP Call parked failed for %s\n", transferee->name);
+		ast_hangup(transferee);
 	}
+	ast_hangup(transferer);
+
 	deinit_req(&d->req);
 	ast_free(d->park_exten);
 	ast_free(d->park_context);
